#ifndef R2C2_3D_ENDPOINT_H_
#define R2C2_3D_ENDPOINT_H_

#include <msp/gl/mesh.h>
#include <msp/gl/renderable.h>
#include "libr2c2/track.h"

namespace R2C2 {

class Track3D;

class Endpoint3D: public Msp::GL::Renderable
{
private:
	const Track3D &track;
	unsigned index;
	const Msp::GL::Mesh &mesh;

public:
	Endpoint3D(const Track3D &, unsigned);
	~Endpoint3D();

	virtual void render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

} // namespace R2C2

#endif
